routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('artist', 'ArtistController');
Route::resource('movie', 'MovieController');
Route::resource('cinema', 'CinemaController');
Route::resource('room', 'RoomController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Models/Artist.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Artist extends Model
{
    protected $fillable = [
        'name', 'firstname', 'birthdate'
    ];
    //lien entre 2 tables
    public function has_directed()
    {
        return $this->hasMany('App\Models\Movie');
    }

    public function has_played()
    {
        return $this->belongsToMany('App\Models\Movie')->withPivot('role_name');
    }
}

app/Http/Controllers/ArtistController.php
<?php

namespace App\Http\Controllers;

use \App\Models\Artist;
use \App\Http\Requests\ArtistRequest;

use Illuminate\Http\Request;

class ArtistController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    //liste les entrées
    public function index()
    {
        //debeugger sur le site pour voir ce quil y a comme info dans les tableau
        //equivalent du print_r()
        //dd(Artist::all());
        return view('artists.index', ['artists' => Artist::paginate(4)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('artists.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(ArtistRequest $request)
    {
        Artist::create($request->all());
        return redirect()->route('artist.create')
            ->with('ok', __('Artist has been saved'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Artist $artist)
    {
        return view('artists.edit', ['artist' => $artist]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(ArtistRequest $request, Artist $artist)
    {
        $artist->update($request->all());

        return redirect()->route('artist.index')
            ->with('ok', __('Artist has been updated'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Artist $artist)
    {
        $artist->delete();
        return response()->json();
    }

    public function __construct()
    {
        $this->middleware('ajax')->only('destroy');
    }
}

resources/views/artists/create.blade.php
@extends('layouts.app')

@section('title', 'Create artist')

@section('content')

<div class="container" style="margin-top: 10em; width: 30%;">
  <p><a href="{{ route('artist.index') }}">Go back</a></p>
<h1>Create new actor</h1>

<form method="POST" action="{{ route('artist.store') }}">
  {{ csrf_field() }}
  
  <div class="form-group">
      <label for="name">Name</label>
      <input type="text"
        name="name"
        id="name"
        class="form-control"
        value=""
        required
      />
    </div>
    
    <div class="form-group form-check">
      <label for="firstname">First Name</label>
      <input 
        type="text"
        name="firstname"
        id="firstname"
        class="form-control"
        value="" 
        required
      />
    </div>
    
    <div class="form-group form-check">
      <label for="birthdate">Birthdate</label>
      <input 
        type="text"
        name="birthdate"
        id="birthdate"
        class="form-control"
        value="" 
        required
      />
    </div>
    
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>

@endsection

resources/views/artists/edit.blade.php
@extends('layouts.app')

@section('title', 'Artist Name')

@section('content')
<div class="container" style="margin-top: 10em; width: 30%;">

  <form method="POST" action="{{ route('artist.update', $artist->id) }}">
    {{ csrf_field() }}
    {{ method_field('PUT') }}
    
    <p><a href="{{ route('artist.index') }}">Go back</a></p>

    <div class="form-group">
      <label for="name">Name</label>
      <input type="text"
        name="name"
        id="name"
        class="form-control"
        value="{{ $artist->name }}"
        required
      />
    </div>
    
    <div class="form-group form-check">
      <label for="firstname">First Name</label>
      <input 
        type="text"
        name="firstname"
        id="firstname"
        class="form-control"
        value="{{ $artist->firstname}}" 
        required
      />
    </div>
    
    <div class="form-group form-check">
      <label for="birthdate">Birthdate</label>
      <input 
        type="text"
        name="birthdate"
        id="birthdate"
        class="form-control"
        value="{{ $artist->birthdate}}" 
        required
      />
    </div>
    
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
@endsection

resources/views/artists/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container mx-auto" style="width: 800px; margin-top:50px">
  
  <h1>List of actors</h1>
  <h4 style="padding-bottom:30px"><a href ="{{ route('artist.create')}}">Create new actor</a></h4>
  <table class="table table-stpied table-centered">
    <thead>
      <tr>
        <th>{{__('Name')}}</th>
        <th>{{__('First Name')}}</th>
        <th>{{__('Birthdate')}}</th>
        <th>{{__('Actions')}}</th>
      </tr>
    </thead>
    <tbody>
      @foreach($artists->sortBy('name') as $artist)
      <tr>
        <td>{{ $artist->name }}</td>
        <td>{{ $artist->firstname }}</td>
        <td>{{ $artist->birthdate }}</td>
        <td>
          <a type="button" 
            href="{{ route('artist.edit', $artist->id )}}" 
            class="btn"
            data-toggle="tooltip"
            title="@lang('Edit artist') {{ $artist->name }}">
            Edit <i class="fas fa-edit"></i>
          </a>
          <a type="button" 
            href="{{ route('artist.destroy', $artist->id )}}" 
            class="btn-delete"
            title="@lang('Delete artist') {{ $artist->name }}">
            Delete <i class="fas fa-trash-alt"></i>
          </a>
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>

</div>

<!--pagination pour changer de page-->
{{ $artists->appends(request()->except('page'))->links() }}
</div>
  <!--securité + onclick btn delete-->
<script>
  $.ajaxSetup({
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}
  })

  $(document).on('click', '.btn-delete', function(){

    let button = $(this);

    $.ajax ({
      url: $(this).attr('href'),
      type: 'DELETE'
    }).done(function(){
      $(button).closest('tr').remove();
    });
    return false;
  });
</script>

@endsection